## vmpk 0.3.0

=== CMakeLists.txt ===
# Virtual MIDI Piano Keyboard
# Copyright (C) 2008-2009 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along 
# with this program; If not, see <http://www.gnu.org/licenses/>.

PROJECT(VMPK)
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

# Show full commands and messages. 
# SET(CMAKE_VERBOSE_MAKEFILE ON CACHE BOOL)

# Seems that relative paths break the link scripts. Don't set it ON
SET(CMAKE_USE_RELATIVE_PATHS OFF)

# Assorted settings
SET(CMAKE_COLOR_MAKEFILE ON)
SET(CMAKE_INCLUDE_CURRENT_DIR TRUE)
SET(CMAKE_SKIP_RULE_DEPENDENCY FALSE)
SET(CMAKE_CXX_FLAGS_DEBUG "-g -DQT_DEBUG -DDEBUG -D__RTMIDI_DEBUG__")
SET(CMAKE_CXX_FLAGS_RELEASE "-O2 -DQT_NO_DEBUG -DNDEBUG")

# Additional CMake modules for 3rd party library checks reside here
SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake_admin")

# VMPK version string
SET (VERSION_MAJOR "0")
SET (VERSION_MINOR "3")
SET (VERSION_PATCH "0")
SET (VERSION_SUFFIX "")
SET (VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}${VERSION_SUFFIX})

MESSAGE(STATUS "vmpk ${VERSION} prefix: ${CMAKE_INSTALL_PREFIX}")

# User options
MESSAGE(STATUS "Build configuration: ${CMAKE_BUILD_TYPE}")

# Check for Qt
SET(QT_MIN_VERSION "4.4.0")
FIND_PACKAGE(Qt4 REQUIRED QUIET)
IF(QT4_FOUND)
    MESSAGE(STATUS "Found Qt4.${QT_EDITION} version = ${QTVERSION}")
ELSE(QT4_FOUND)
    MESSAGE(FATAL_ERROR "Qt4 >= 4.4 not found")
ENDIF(QT4_FOUND)

SET(QT_USE_QTXML TRUE)
SET(QT_USE_QTSVG TRUE)
INCLUDE(${QT_USE_FILE})
INCLUDE_DIRECTORIES(${QT_INCLUDES}) 
LINK_DIRECTORIES(${QT_LIBRARY_DIR})
LINK_LIBRARIES(${QT_LIBRARIES})

IF(${CMAKE_SYSTEM} MATCHES "Linux")
# Check for PKG-CONFIG
    FIND_PACKAGE(PkgConfig REQUIRED)
    IF(PKG_CONFIG_FOUND)
        MESSAGE(STATUS "Program pkg-config found (${PKG_CONFIG_EXECUTABLE})")
    ELSE(PKG_CONFIG_FOUND)
        MESSAGE(FATAL_ERROR "Program pkg-config not found")
    ENDIF(PKG_CONFIG_FOUND)
# Initialize some variables
    SET(HAVE_ALSA FALSE)
# Check for ALSA 1.0
    PKG_CHECK_MODULES(ALSA REQUIRED alsa>=1.0)
    IF(ALSA_FOUND)
        SET(HAVE_ALSA TRUE)
        ADD_DEFINITIONS(-DHAVE_ALSA)
        SET(ALSA_LIBS ${ALSA_LIBRARIES})
        #MESSAGE("ALSA_LIBS: ${ALSA_LIBS}")
        LIST(APPEND ALSA_LIB_DIR ${ALSA_LIBRARY_DIRS} ${ALSA_LIBDIR})
        #MESSAGE("ALSA_LIB_DIR: ${ALSA_LIB_DIR}")
        LIST(APPEND ALSA_INC_DIR ${ALSA_INCLUDE_DIRS} ${ALSA_INCLUDEDIR})
        #MESSAGE("ALSA_INC_DIR: ${ALSA_INC_DIR}")
    ELSE(ALSA_FOUND)
        MESSAGE(FATAL_ERROR "Please install the required package. Aborting")
    ENDIF(ALSA_FOUND)
    LINK_DIRECTORIES(${ALSA_LIB_DIR})
    INCLUDE_DIRECTORIES(${ALSA_INC_DIR})
    ADD_DEFINITIONS(-D__LINUX_ALSASEQ__)
    ADD_DEFINITIONS(-DAVOID_TIMESTAMPING)
    LINK_LIBRARIES(${ALSA_LIBS})
ENDIF(${CMAKE_SYSTEM} MATCHES "Linux")

IF(${CMAKE_SYSTEM} MATCHES "Darwin")
    ADD_DEFINITIONS(-D__MACOSX_CORE__)
    LINK_LIBRARIES("-framework CoreMidi -framework CoreAudio -framework CoreFoundation")
ENDIF(${CMAKE_SYSTEM} MATCHES "Darwin")

IF(${CMAKE_SYSTEM} MATCHES "IRIX")
    ADD_DEFINITIONS(-D__IRIX_MD__)
    LINK_LIBRARIES(audio)
    LINK_LIBRARIES(pthread)
ENDIF(${CMAKE_SYSTEM} MATCHES "IRIX")

IF(${CMAKE_SYSTEM} MATCHES "Windows")
    FIND_PACKAGE(WINDRES REQUIRED)
    ADD_DEFINITIONS(-D__WINDOWS_MM__)
    SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -mwindows")
    LINK_LIBRARIES(winmm)
ENDIF(${CMAKE_SYSTEM} MATCHES "Windows")

ADD_SUBDIRECTORY(src build)
ADD_SUBDIRECTORY(translations build/translations)
CONFIGURE_FILE(vmpk.spec.in vmpk.spec IMMEDIATE @ONLY)

# uninstall custom target
CONFIGURE_FILE(
    "${CMAKE_SOURCE_DIR}/cmake_admin/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

ADD_CUSTOM_TARGET ( uninstall
    "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

IF (UNIX)
    ADD_CUSTOM_TARGET ( distclean
        COMMAND rm -f  CMakeCache.txt
        COMMAND rm -f  cmake_install.cmake
        COMMAND rm -f  cmake_uninstall.cmake
        COMMAND rm -f  CPackConfig.cmake
        COMMAND rm -f  CPackSourceConfig.cmake
        COMMAND rm -f  install_manifest.txt
        COMMAND rm -f  vmpk.spec
        COMMAND rm -f  progress.make
        COMMAND rm -f  Makefile
        COMMAND rm -rf CMakeFiles
        COMMAND rm -rf _CPack_Packages
        COMMAND rm -rf build/*
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
    )
    ADD_DEPENDENCIES(distclean clean)
    
    ADD_CUSTOM_TARGET ( tarball
        COMMAND mkdir -p vmpk-${VERSION}
        COMMAND cp -r cmake_admin vmpk-${VERSION}
        COMMAND cp -r data vmpk-${VERSION}
        COMMAND cp -r src vmpk-${VERSION}
        COMMAND cp -r translations vmpk-${VERSION}
        COMMAND cp -r man vmpk-${VERSION}
        COMMAND cp AUTHORS ChangeLog CMakeLists.txt COPYING gpl.rtf NEWS README setup.nsi TODO vmpk.desktop vmpk.pro updateqm.pri vmpk.spec.in vmpk-${VERSION}
        COMMAND tar -cj --exclude CVS --exclude .cvsignore -f vmpk-${VERSION}.tar.bz2 vmpk-${VERSION}
        COMMAND tar -cz --exclude CVS --exclude .cvsignore -f vmpk-${VERSION}.tar.gz vmpk-${VERSION}
        COMMAND rm -rf vmpk-${VERSION}
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
    )
ENDIF (UNIX)

IF (UNIX AND NOT APPLE)

    ADD_SUBDIRECTORY(man build/man)

    INSTALL ( FILES
        data/azerty.xml
        data/vkeybd-default.xml
        data/it-qwerty.xml
        data/german.xml
        data/gmgsxg.ins
        data/spanish.xml
        data/pc102x11.xml
        data/txt2ins.awk
        data/help.html
        data/help_es.html
        data/help_tr.html
    DESTINATION 
        share/vmpk 
    )

    INSTALL(FILES data/vmpk_16x16.png 
        DESTINATION share/icons/hicolor/16x16/apps   
       RENAME vmpk.png)
    
    INSTALL(FILES data/vmpk_32x32.png 
        DESTINATION share/icons/hicolor/32x32/apps   
        RENAME vmpk.png)
    
    INSTALL(FILES data/vmpk_48x48.png 
        DESTINATION share/icons/hicolor/48x48/apps   
        RENAME vmpk.png)
    
    INSTALL(FILES data/vmpk_64x64.png 
        DESTINATION share/icons/hicolor/64x64/apps   
        RENAME vmpk.png)

    INSTALL(FILES data/TheresaKnott_piano.svg
        DESTINATION share/icons/hicolor/scalable/apps   
        RENAME vmpk.svg)
    
    INSTALL ( FILES 
        vmpk.desktop
    DESTINATION 
        share/applications
    )

ENDIF (UNIX AND NOT APPLE)

IF (WIN32)
    INCLUDE (InstallRequiredSystemLibraries)
    SET ( QTLIBLIST QtCore QtGui QtXml )
    GET_FILENAME_COMPONENT(QT_DLL_PATH_tmp ${QT_QMAKE_EXECUTABLE} PATH)
    FOREACH(qtlib ${QTLIBLIST})
        INSTALL ( FILES ${QT_DLL_PATH_tmp}/${qtlib}4.dll
                  DESTINATION . )
    ENDFOREACH(qtlib)
    INSTALL ( FILES ${QT_DLL_PATH_tmp}/mingwm10.dll
              DESTINATION . )
    INSTALL ( FILES
        data/azerty.xml
        data/vkeybd-default.xml
        data/it-qwerty.xml
        data/german.xml
        data/gmgsxg.ins
        data/spanish.xml
        data/pc102win.xml
        data/help.html
        data/help_es.html
        data/help_tr.html
    DESTINATION . )
ENDIF (WIN32)

IF (APPLE)
    SET(target "vmpk")
    CONFIGURE_FILE("${CMAKE_SOURCE_DIR}/cmake_admin/CompleteBundle.cmake.in"
      "${CMAKE_CURRENT_BINARY_DIR}/build/CompleteBundle.cmake" @ONLY IMMEDIATE)
    CONFIGURE_FILE("${CMAKE_SOURCE_DIR}/cmake_admin/CreateBundle.sh.in"
      "${CMAKE_CURRENT_BINARY_DIR}/build/CreateBundle.sh" @ONLY IMMEDIATE)
    INSTALL(SCRIPT "${CMAKE_CURRENT_BINARY_DIR}/build/CompleteBundle.cmake")
ENDIF (APPLE)

=== man/CMakeLists.txt ===
# Virtual MIDI Piano Keyboard
# Copyright (C) 2008-2009 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along 
# with this program; If not, see <http://www.gnu.org/licenses/>.

FIND_PACKAGE(LibXslt)
IF(LIBXSLT_FOUND)
    INCLUDE(CreateManpages)
    CREATE_MANPAGES(vmpk.xml)
ELSE(LIBXSLT_FOUND)
    INSTALL( FILES vmpk.1
             DESTINATION share/man/man1 )
ENDIF(LIBXSLT_FOUND)

=== src/CMakeLists.txt ===
# Virtual MIDI Piano Keyboard
# Copyright (C) 2008-2009 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along 
# with this program; If not, see <http://www.gnu.org/licenses/>.

INCLUDE_DIRECTORIES ( 
    ${CMAKE_CURRENT_BINARY_DIR}
)

LINK_DIRECTORIES (
    ${CMAKE_CURRENT_BINARY_DIR}
)

FILE(WRITE ${CMAKE_CURRENT_BINARY_DIR}/vmpk_version.h
     "const QString PGM_VERSION(\"${VERSION}\");\n")

SET(vmpk_forms_SRCS
    about.ui
    extracontrols.ui
    kmapdialog.ui
    midisetup.ui
    preferences.ui
    riffimportdlg.ui
    vpiano.ui
)

QT4_WRAP_UI(vmpk_ui_SRCS ${vmpk_forms_SRCS})

SET(vmpk_SRCS
    about.cpp
    about.h
    classicstyle.cpp
    classicstyle.h
    constants.h
    extracontrols.cpp
    extracontrols.h
    instrument.cpp
    instrument.h
    keyboardmap.cpp
    keyboardmap.h
    keylabel.cpp
    keylabel.h
    kmapdialog.cpp
    kmapdialog.h
    knob.cpp
    knob.h
    main.cpp
    mididefs.h
    midisetup.cpp
    midisetup.h
    pianodefs.h
    pianokeybd.cpp
    pianokeybd.h
    pianokey.cpp
    pianokey.h
    pianoscene.cpp
    pianoscene.h
    preferences.cpp
    preferences.h
    qticonloader.cpp
    qticonloader.h
    rawkeybdapp.cpp
    rawkeybdapp.h
    riff.cpp
    riff.h
    riffimportdlg.cpp
    riffimportdlg.h
    RtError.h
    RtMidi.cpp
    RtMidi.h
    vpiano.cpp
    vpiano.h
)

QT4_ADD_RESOURCES(vmpk_SRCS ../data/vmpk.qrc)

SET(vmpk_qtobject_SRCS
    about.h
    extracontrols.h
    kmapdialog.h
    knob.h
    midisetup.h
    pianokeybd.h
    pianoscene.h
    preferences.h
    riff.h
    riffimportdlg.h
    vpiano.h
)

QT4_WRAP_CPP(vmpk_moc_SRCS ${vmpk_qtobject_SRCS})

IF (UNIX AND NOT APPLE)
    ADD_EXECUTABLE ( vmpk
        ${vmpk_ui_SRCS}
        ${vmpk_moc_SRCS}
        ${vmpk_SRCS} )
    INSTALL ( TARGETS vmpk
              RUNTIME DESTINATION bin )
ENDIF (UNIX AND NOT APPLE)

IF (WIN32)
    ADD_WINDRES_OBJS(vmpk_SRCS vpianoico.rc)
    ADD_EXECUTABLE ( vmpk WIN32
        ${vmpk_ui_SRCS}
        ${vmpk_moc_SRCS}
        ${vmpk_SRCS} )
    INSTALL ( TARGETS vmpk
              RUNTIME DESTINATION . )
ENDIF (WIN32)

IF (APPLE)
    SET(MACOSX_BUNDLE_INFO_STRING "Virtual MIDI Piano Keyboard" )
    SET(MACOSX_BUNDLE_BUNDLE_VERSION ${VERSION} )
    SET(MACOSX_BUNDLE_ICON_FILE "vmpk.icns" )
    SET(MACOSX_BUNDLE_GUI_IDENTIFIER "net.sourceforge" )
    SET(MACOSX_BUNDLE_BUNDLE_NAME "vmpk" )
    SET(vmpk_RSC ../data/vmpk.icns
             ../data/help.html
             ../data/help_es.html
             ../data/help_tr.html
             ../data/txt2ins.awk
             ../data/gmgsxg.ins
             ../data/spanish.xml
             ../data/german.xml
             ../data/azerty.xml
             ../data/it-qwerty.xml
             ../data/vkeybd-default.xml
             ../data/pc102mac.xml )
    SET_SOURCE_FILES_PROPERTIES(${vmpk_RSC} PROPERTIES
                                MACOSX_PACKAGE_LOCATION Resources)
    ADD_EXECUTABLE ( vmpk MACOSX_BUNDLE
        ${vmpk_ui_SRCS}
        ${vmpk_moc_SRCS}
        ${vmpk_SRCS}
        ${vmpk_RSC} )
ENDIF (APPLE)

=== translations/CMakeLists.txt ===
SET( TRANSLATIONS_FILES 
     vmpk_es.ts 
     vmpk_tr.ts 
     vmpk_de.ts 
#    vmpk_ca.ts 
)

QT4_ADD_TRANSLATION(QM_FILES ${TRANSLATIONS_FILES})
ADD_CUSTOM_TARGET(translations ALL DEPENDS ${QM_FILES})

IF (UNIX AND NOT APPLE)
    INSTALL( FILES ${QM_FILES}
             DESTINATION share/locale )
ENDIF (UNIX AND NOT APPLE)

IF (WIN32)
    INSTALL( FILES ${QM_FILES}
             DESTINATION . )
ENDIF (WIN32)

## vmpk 0.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Virtual MIDI Piano Keyboard
-# Copyright (C) 2008-2009 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
+# Copyright (C) 2008-2010 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -17,6 +17,8 @@
 PROJECT(VMPK)
 CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
 
+OPTION(ENABLE_DBUS "Enable experimental VMPK DBus interface" ON)
+
 # Show full commands and messages. 
 # SET(CMAKE_VERBOSE_MAKEFILE ON CACHE BOOL)
 
@@ -36,7 +38,7 @@
 # VMPK version string
 SET (VERSION_MAJOR "0")
 SET (VERSION_MINOR "3")
-SET (VERSION_PATCH "0")
+SET (VERSION_PATCH "2")
 SET (VERSION_SUFFIX "")
 SET (VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}${VERSION_SUFFIX})
 
@@ -56,10 +58,15 @@
 
 SET(QT_USE_QTXML TRUE)
 SET(QT_USE_QTSVG TRUE)
+IF(ENABLE_DBUS)
+    SET(QT_USE_QTDBUS TRUE)
+    ADD_DEFINITIONS(-DENABLE_DBUS)
+ENDIF(ENABLE_DBUS)
 INCLUDE(${QT_USE_FILE})
 INCLUDE_DIRECTORIES(${QT_INCLUDES}) 
 LINK_DIRECTORIES(${QT_LIBRARY_DIR})
 LINK_LIBRARIES(${QT_LIBRARIES})
+ADD_DEFINITIONS(-DQT_STRICT_ITERATORS)
 
 IF(${CMAKE_SYSTEM} MATCHES "Linux")
 # Check for PKG-CONFIG
@@ -89,12 +96,12 @@
     INCLUDE_DIRECTORIES(${ALSA_INC_DIR})
     ADD_DEFINITIONS(-D__LINUX_ALSASEQ__)
     ADD_DEFINITIONS(-DAVOID_TIMESTAMPING)
-    LINK_LIBRARIES(${ALSA_LIBS})
+    LINK_LIBRARIES(${ALSA_LIBS} ${QT_X11_X11_LIBRARY})
 ENDIF(${CMAKE_SYSTEM} MATCHES "Linux")
 
 IF(${CMAKE_SYSTEM} MATCHES "Darwin")
     ADD_DEFINITIONS(-D__MACOSX_CORE__)
-    LINK_LIBRARIES("-framework CoreMidi -framework CoreAudio -framework CoreFoundation")
+    LINK_LIBRARIES("-framework CoreMidi -framework CoreAudio -framework CoreFoundation -framework Carbon")
 ENDIF(${CMAKE_SYSTEM} MATCHES "Darwin")
 
 IF(${CMAKE_SYSTEM} MATCHES "IRIX")
@@ -148,9 +155,10 @@
         COMMAND cp -r src vmpk-${VERSION}
         COMMAND cp -r translations vmpk-${VERSION}
         COMMAND cp -r man vmpk-${VERSION}
+        COMMAND cp -r dbus vmpk-${VERSION}
         COMMAND cp AUTHORS ChangeLog CMakeLists.txt COPYING gpl.rtf NEWS README setup.nsi TODO vmpk.desktop vmpk.pro updateqm.pri vmpk.spec.in vmpk-${VERSION}
-        COMMAND tar -cj --exclude CVS --exclude .cvsignore -f vmpk-${VERSION}.tar.bz2 vmpk-${VERSION}
-        COMMAND tar -cz --exclude CVS --exclude .cvsignore -f vmpk-${VERSION}.tar.gz vmpk-${VERSION}
+        COMMAND tar -cj --exclude=.* -f vmpk-${VERSION}.tar.bz2 vmpk-${VERSION}
+        COMMAND tar -cz --exclude=.* -f vmpk-${VERSION}.tar.gz vmpk-${VERSION}
         COMMAND rm -rf vmpk-${VERSION}
         WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
     )
@@ -170,7 +178,9 @@
         data/pc102x11.xml
         data/txt2ins.awk
         data/help.html
+        data/help_de.html
         data/help_es.html
+        data/help_ru.html
         data/help_tr.html
     DESTINATION 
         share/vmpk 
@@ -178,7 +188,7 @@
 
     INSTALL(FILES data/vmpk_16x16.png 
         DESTINATION share/icons/hicolor/16x16/apps   
-       RENAME vmpk.png)
+        RENAME vmpk.png)
     
     INSTALL(FILES data/vmpk_32x32.png 
         DESTINATION share/icons/hicolor/32x32/apps   
@@ -192,9 +202,12 @@
         DESTINATION share/icons/hicolor/64x64/apps   
         RENAME vmpk.png)
 
-    INSTALL(FILES data/TheresaKnott_piano.svg
-        DESTINATION share/icons/hicolor/scalable/apps   
-        RENAME vmpk.svg)
+    INSTALL(FILES data/vmpk_128x128.png 
+        DESTINATION share/icons/hicolor/128x128/apps   
+        RENAME vmpk.png)
+
+    INSTALL(FILES data/vmpk.svgz
+        DESTINATION share/icons/hicolor/scalable/apps )   
     
     INSTALL ( FILES 
         vmpk.desktop
@@ -206,13 +219,14 @@
 
 IF (WIN32)
     INCLUDE (InstallRequiredSystemLibraries)
-    SET ( QTLIBLIST QtCore QtGui QtXml )
+    SET ( QTLIBLIST QtCore QtGui QtXml QtSvg )
     GET_FILENAME_COMPONENT(QT_DLL_PATH_tmp ${QT_QMAKE_EXECUTABLE} PATH)
     FOREACH(qtlib ${QTLIBLIST})
         INSTALL ( FILES ${QT_DLL_PATH_tmp}/${qtlib}4.dll
                   DESTINATION . )
     ENDFOREACH(qtlib)
-    INSTALL ( FILES ${QT_DLL_PATH_tmp}/mingwm10.dll
+    INSTALL ( FILES ${QT_DLL_PATH_tmp}/mingwm10.dll 
+                    ${QT_DLL_PATH_tmp}/libgcc_s_dw2-1.dll
               DESTINATION . )
     INSTALL ( FILES
         data/azerty.xml
@@ -223,7 +237,9 @@
         data/spanish.xml
         data/pc102win.xml
         data/help.html
+        data/help_de.html
         data/help_es.html
+        data/help_ru.html
         data/help_tr.html
     DESTINATION . )
 ENDIF (WIN32)

=== man/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Virtual MIDI Piano Keyboard
-# Copyright (C) 2008-2009 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
+# Copyright (C) 2008-2010 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -14,11 +14,12 @@
 # You should have received a copy of the GNU General Public License along 
 # with this program; If not, see <http://www.gnu.org/licenses/>.
 
-FIND_PACKAGE(LibXslt)
-IF(LIBXSLT_FOUND)
+FIND_PROGRAM(XSLTPROC_EXECUTABLE xsltproc)
+IF(XSLTPROC_EXECUTABLE)
+    MESSAGE(STATUS "XSLTPROC Found: ${XSLTPROC_EXECUTABLE}")
     INCLUDE(CreateManpages)
     CREATE_MANPAGES(vmpk.xml)
-ELSE(LIBXSLT_FOUND)
-    INSTALL( FILES vmpk.1
-             DESTINATION share/man/man1 )
-ENDIF(LIBXSLT_FOUND)
+ELSE(XSLTPROC_EXECUTABLE)
+    MESSAGE(STATUS "XSLTPROC NOT Found")
+    INSTALL( FILES vmpk.1 DESTINATION share/man/man1 )
+ENDIF(XSLTPROC_EXECUTABLE)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Virtual MIDI Piano Keyboard
-# Copyright (C) 2008-2009 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
+# Copyright (C) 2008-2010 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -99,6 +99,15 @@
     vpiano.h
 )
 
+IF(ENABLE_DBUS)
+    QT4_ADD_DBUS_ADAPTOR( vmpk_SRCS 
+                          net.sourceforge.vmpk.xml 
+                          vpiano.h 
+                          VPiano
+                          vmpk_adaptor
+    )
+ENDIF(ENABLE_DBUS)
+
 QT4_WRAP_CPP(vmpk_moc_SRCS ${vmpk_qtobject_SRCS})
 
 IF (UNIX AND NOT APPLE)
@@ -128,7 +137,9 @@
     SET(MACOSX_BUNDLE_BUNDLE_NAME "vmpk" )
     SET(vmpk_RSC ../data/vmpk.icns
              ../data/help.html
+             ../data/help_de.html
              ../data/help_es.html
+             ../data/help_ru.html
              ../data/help_tr.html
              ../data/txt2ins.awk
              ../data/gmgsxg.ins

=== translations/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,11 @@
 SET( TRANSLATIONS_FILES 
+     vmpk_cs.ts 
+     vmpk_de.ts 
      vmpk_es.ts 
+     vmpk_fr.ts
+     vmpk_ru.ts
      vmpk_tr.ts 
-     vmpk_de.ts 
-#    vmpk_ca.ts 
+	 vmpk_zh_CN.ts
 )
 
 QT4_ADD_TRANSLATION(QM_FILES ${TRANSLATIONS_FILES})

## vmpk 0.3.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -38,7 +38,7 @@
 # VMPK version string
 SET (VERSION_MAJOR "0")
 SET (VERSION_MINOR "3")
-SET (VERSION_PATCH "2")
+SET (VERSION_PATCH "3")
 SET (VERSION_SUFFIX "")
 SET (VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}${VERSION_SUFFIX})
 
@@ -117,9 +117,9 @@
     LINK_LIBRARIES(winmm)
 ENDIF(${CMAKE_SYSTEM} MATCHES "Windows")
 
-ADD_SUBDIRECTORY(src build)
-ADD_SUBDIRECTORY(translations build/translations)
-CONFIGURE_FILE(vmpk.spec.in vmpk.spec IMMEDIATE @ONLY)
+ADD_SUBDIRECTORY (src)
+ADD_SUBDIRECTORY (translations)
+CONFIGURE_FILE (vmpk.spec.in vmpk.spec IMMEDIATE @ONLY)
 
 # uninstall custom target
 CONFIGURE_FILE(
@@ -132,31 +132,21 @@
 
 IF (UNIX)
     ADD_CUSTOM_TARGET ( distclean
-        COMMAND rm -f  CMakeCache.txt
-        COMMAND rm -f  cmake_install.cmake
-        COMMAND rm -f  cmake_uninstall.cmake
-        COMMAND rm -f  CPackConfig.cmake
-        COMMAND rm -f  CPackSourceConfig.cmake
-        COMMAND rm -f  install_manifest.txt
-        COMMAND rm -f  vmpk.spec
-        COMMAND rm -f  progress.make
-        COMMAND rm -f  Makefile
-        COMMAND rm -rf CMakeFiles
-        COMMAND rm -rf _CPack_Packages
         COMMAND rm -rf build/*
         WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
     )
-    ADD_DEPENDENCIES(distclean clean)
+    ADD_DEPENDENCIES (distclean clean)
     
     ADD_CUSTOM_TARGET ( tarball
-        COMMAND mkdir -p vmpk-${VERSION}
+        COMMAND mkdir -p vmpk-${VERSION}/translations/
         COMMAND cp -r cmake_admin vmpk-${VERSION}
         COMMAND cp -r data vmpk-${VERSION}
         COMMAND cp -r src vmpk-${VERSION}
-        COMMAND cp -r translations vmpk-${VERSION}
         COMMAND cp -r man vmpk-${VERSION}
         COMMAND cp -r dbus vmpk-${VERSION}
-        COMMAND cp AUTHORS ChangeLog CMakeLists.txt COPYING gpl.rtf NEWS README setup.nsi TODO vmpk.desktop vmpk.pro updateqm.pri vmpk.spec.in vmpk-${VERSION}
+        COMMAND cp translations/vmpk_{cs,de,es,fr,ru,zh_CN}.ts vmpk-${VERSION}/translations/
+        COMMAND cp translations/CMakeLists.txt vmpk-${VERSION}/translations/
+        COMMAND cp AUTHORS ChangeLog CMakeLists.txt COPYING gpl.rtf NEWS README setup.nsi TODO vmpk.desktop vmpk.pro updateqm.pri vmpk.spec.in qt.conf vmpk-${VERSION}
         COMMAND tar -cj --exclude=.* -f vmpk-${VERSION}.tar.bz2 vmpk-${VERSION}
         COMMAND tar -cz --exclude=.* -f vmpk-${VERSION}.tar.gz vmpk-${VERSION}
         COMMAND rm -rf vmpk-${VERSION}
@@ -166,8 +156,10 @@
 
 IF (UNIX AND NOT APPLE)
 
-    ADD_SUBDIRECTORY(man build/man)
-
+    ADD_SUBDIRECTORY (man)
+
+# unmaintained translations:
+# data/help_tr.html
     INSTALL ( FILES
         data/azerty.xml
         data/vkeybd-default.xml
@@ -181,7 +173,6 @@
         data/help_de.html
         data/help_es.html
         data/help_ru.html
-        data/help_tr.html
     DESTINATION 
         share/vmpk 
     )
@@ -228,6 +219,9 @@
     INSTALL ( FILES ${QT_DLL_PATH_tmp}/mingwm10.dll 
                     ${QT_DLL_PATH_tmp}/libgcc_s_dw2-1.dll
               DESTINATION . )
+
+# unmaintained translations:
+# data/help_tr.html
     INSTALL ( FILES
         data/azerty.xml
         data/vkeybd-default.xml
@@ -240,7 +234,6 @@
         data/help_de.html
         data/help_es.html
         data/help_ru.html
-        data/help_tr.html
     DESTINATION . )
 ENDIF (WIN32)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -33,6 +33,7 @@
     preferences.ui
     riffimportdlg.ui
     vpiano.ui
+    shortcutdialog.ui
 )
 
 QT4_WRAP_UI(vmpk_ui_SRCS ${vmpk_forms_SRCS})
@@ -81,6 +82,8 @@
     RtMidi.h
     vpiano.cpp
     vpiano.h
+    shortcutdialog.cpp
+    shortcutdialog.h
 )
 
 QT4_ADD_RESOURCES(vmpk_SRCS ../data/vmpk.qrc)
@@ -97,6 +100,7 @@
     riff.h
     riffimportdlg.h
     vpiano.h
+    shortcutdialog.h
 )
 
 IF(ENABLE_DBUS)

=== translations/CMakeLists.txt ===
# unmaintained translations, not installed
# vmpk_tr.ts 

SET( TRANSLATIONS_FILES 
     vmpk_cs.ts 
     vmpk_de.ts 
     vmpk_es.ts 
     vmpk_fr.ts 
     vmpk_ru.ts
     vmpk_zh_CN.ts
)

QT4_ADD_TRANSLATION(QM_FILES ${TRANSLATIONS_FILES})
ADD_CUSTOM_TARGET(translations ALL DEPENDS ${QM_FILES})

IF (UNIX AND NOT APPLE)
    INSTALL( FILES ${QM_FILES}
             DESTINATION share/vmpk/locale )
ELSE (UNIX AND NOT APPLE)
    INSTALL( FILES ${QM_FILES}
             DESTINATION . )
ENDIF (UNIX AND NOT APPLE)

=== debian/changelog ===
vmpk (0.3.3-1) unstable; urgency=low

  * New upstream release.
  * Convert to 3.0 (quilt) source format.
  * Fix FTBFS with "ld --no-add-needed" (Closes: #615793)

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 04 Mar 2011 15:03:41 +0100

vmpk (0.3.2-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards Version to 3.9.0.

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 07 Jul 2010 17:45:39 +0200

vmpk (0.3.1-1) unstable; urgency=low

  * New upstream release
  * Remove 0001-Look-for-xslproc-instead-of-libxslt, integrated upstream.
  * vmpk is linux specific (Closes: #557899)
    - Added to p-a-s

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 26 Apr 2010 12:44:41 +0200

vmpk (0.3.0-2) unstable; urgency=low

  * Build-depend on xsltproc, docbook-xsl and docbook-xml to be able to
    build the manpage and look for xslrproc instead of libxslt in
    man/CMakeLists.txt: Fixes issues when generating the manpage.
    - Add a debian/README.source

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 01 Nov 2009 14:46:38 +0100

vmpk (0.3.0-1) unstable; urgency=low

  * New upstream release
  * Add VCS-* flags
  * Update debian/copyright
  * Build-depend on debhelper (7.0.50~)
  * Bump standards to 3.8.3
  * Buil-depend on libx11-dev

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 27 Sep 2009 19:40:28 +0200

vmpk (0.2.6-1) unstable; urgency=low

  * Initial release (Closes: #522884)
  * New Upstream Version
    + Remove debian/man: integrated by upstream.
    + Remove 0001-Do-not-install-doc-packages-in-the-wrong-place.patch
      which is now integrated upstream.
    + Remove 0002-data-txt2ins.awk-should-be-executable.patch which also
      is now fixed upstream.
  * Bump standards version to 3.8.2
  * Update copyright file
  * Use my Debian address

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 06 Sep 2009 15:12:01 +0200

vmpk (0.2.5-1) unstable; urgency=low

  * Initial packaging

 -- Mehdi Dogguy <dogguy@pps.jussieu.fr>  Fri, 05 Jun 2009 23:20:54 +0200

=== debian/control ===
Source: vmpk
Section: sound
Priority: extra
Maintainer: Mehdi Dogguy <mehdi@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 cmake,
 pkg-config,
 xsltproc,
 docbook-xsl,
 docbook-xml,
 libasound2-dev,
 libx11-dev,
 libqt4-dev
Standards-Version: 3.9.0
Homepage: http://vmpk.sourceforge.net/
Vcs-Browser: http://git.debian.org/?p=collab-maint/vmpk.git
Vcs-Git: git://git.debian.org/git/collab-maint/vmpk.git

Package: vmpk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: qjackctl, qsynth
Description: Virtual MIDI Piano Keyboard
 Virtual MIDI Piano Keyboard is a MIDI events generator and
 receiver. It doesn't produce any sound by itself, but can be used to
 drive a MIDI synthesizer (either hardware or software, internal or
 external). You can use the computer's keyboard to play MIDI notes,
 and also the mouse. You can use the Virtual MIDI Piano Keyboard to
 display the played MIDI notes from another instrument or MIDI file
 player.

## vmpk 0.4.0

=== CMakeLists.txt ===
# Virtual MIDI Piano Keyboard
# Copyright (C) 2008-2011 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along 
# with this program; If not, see <http://www.gnu.org/licenses/>.

project (VMPK)
cmake_minimum_required (VERSION 2.8)

if (${CMAKE_SYSTEM} MATCHES "Linux")
    set (MIDI_DRIVER_INIT "ALSA")
    set (DBUS_INIT ON)
elseif (${CMAKE_SYSTEM} MATCHES "IRIX")
    set (MIDI_DRIVER_INIT "IRIX")
    set (DBUS_INIT OFF)
elseif (APPLE)
    set (MIDI_DRIVER_INIT "COREMIDI")
    set (DBUS_INIT OFF)
elseif (WIN32)
    set (MIDI_DRIVER_INIT "WINMM")
    set (DBUS_INIT OFF)
else ()
    set (MIDI_DRIVER_INIT "NET")
    set (DBUS_INIT OFF)
endif ()

set (PROGRAM_NAME_INIT "vmpk")

set (RTMIDI_DRIVER ${MIDI_DRIVER_INIT} CACHE STRING
     "RtMIDI driver: ALSA, JACK, COREMIDI, IRIX, WINMM, NET")
set (PROGRAM_NAME ${PROGRAM_NAME_INIT} CACHE STRING
     "Executable program name")
option (ENABLE_DBUS "Enable experimental VMPK DBus interface" ${DBUS_INIT})

# Show full commands and messages. 
# set(CMAKE_VERBOSE_MAKEFILE ON CACHE BOOL)

# If relative paths break the link scripts, set it OFF
# set(CMAKE_USE_RELATIVE_PATHS OFF)

# Assorted settings
set (CMAKE_COLOR_MAKEFILE ON)
set (CMAKE_INCLUDE_CURRENT_DIR TRUE)
set (CMAKE_SKIP_RULE_DEPENDENCY FALSE)
set (CMAKE_CXX_FLAGS_DEBUG "-g -DQT_DEBUG -DDEBUG -D__RTMIDI_DEBUG__")
set (CMAKE_CXX_FLAGS_RELEASE "-O2 -DQT_NO_DEBUG -DNDEBUG")
add_definitions (-DRAWKBD_SUPPORT)

# Additional CMake modules for 3rd party library checks reside here
set (CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake_admin")

# VMPK version string
set (VERSION_MAJOR "0")
set (VERSION_MINOR "4")
set (VERSION_PATCH "0")
set (VERSION_SUFFIX "")
set (VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}${VERSION_SUFFIX})

message (STATUS "${PROGRAM_NAME} ${VERSION} 
    install prefix: ${CMAKE_INSTALL_PREFIX} 
    RtMIDI driver: ${RTMIDI_DRIVER}")

# User options
message (STATUS "Build configuration: ${CMAKE_BUILD_TYPE}")

# Check for Qt
set (QT_MIN_VERSION "4.6.0")
find_package (Qt4 REQUIRED)
if (QT4_FOUND)
    message (STATUS "Found Qt4.${QT_EDITION} version = ${QTVERSION}")
else ()
    message (FATAL_ERROR "Qt4 >= 4.6 not found")
endif ()

set (QT_USE_QTXML TRUE)
set (QT_USE_QTSVG TRUE)
if (ENABLE_DBUS)
    set (QT_USE_QTDBUS TRUE)
    add_definitions (-DENABLE_DBUS)
endif ()
include (${QT_USE_FILE})
include_directories (${QT_INCLUDES}) 
link_directories (${QT_LIBRARY_DIR})
link_libraries (${QT_LIBRARIES})
add_definitions (-DQT_STRICT_ITERATORS)

if (UNIX AND NOT APPLE)
# Check for PKG-CONFIG
    find_package (PkgConfig REQUIRED)
    if (PKG_CONFIG_FOUND)
        message (STATUS "Program pkg-config found (${PKG_CONFIG_EXECUTABLE})")
    else ()
        message (FATAL_ERROR "Program pkg-config not found")
    endif ()
# Check for libX11    
    find_package (X11 REQUIRED)
    include_directories (${X11_X11_INCLUDE_PATH})
    link_libraries (${X11_X11_LIB})
endif ()

if (RTMIDI_DRIVER STREQUAL "JACK")
    # Check Jack
    set (HAVE_JACK FALSE)
    PKG_CHECK_MODULES (JACK REQUIRED jack)
    if (JACK_FOUND)
        set (HAVE_JACK TRUE)
        add_definitions (-DHAVE_JACK)
        set (JACK_LIBS ${JACK_LIBRARIES})
        list (APPEND JACK_LIB_DIR ${JACK_LIBRARY_DIRS} ${JACK_LIBDIR})
        list (APPEND JACK_INC_DIR ${JACK_INCLUDE_DIRS} ${JACK_INCLUDEDIR})
        link_directories (${JACK_LIB_DIR})
        include_directories (${JACK_INC_DIR})
        add_definitions (-D__LINUX_JACK__)
        link_libraries (${JACK_LIBS})
    else ()
        message (FATAL_ERROR "Please install Jack development libs and headers.")
    endif ()
endif ()

if (RTMIDI_DRIVER STREQUAL "ALSA")        
    find_package (Threads REQUIRED)
    # Check ALSA 1.0
    set (HAVE_ALSA FALSE)
    PKG_CHECK_MODULES (ALSA REQUIRED alsa>=1.0)
    if (ALSA_FOUND)
        set (HAVE_ALSA TRUE)
        add_definitions (-DHAVE_ALSA)
        set (ALSA_LIBS ${ALSA_LIBRARIES})
        list (APPEND ALSA_LIB_DIR ${ALSA_LIBRARY_DIRS} ${ALSA_LIBDIR})
        list (APPEND ALSA_INC_DIR ${ALSA_INCLUDE_DIRS} ${ALSA_INCLUDEDIR})
        link_directories (${ALSA_LIB_DIR})
        include_directories (${ALSA_INC_DIR})
        add_definitions (-D__LINUX_ALSASEQ__)
        add_definitions (-DAVOID_TIMESTAMPING)
        link_libraries (${ALSA_LIBS} ${CMAKE_THREAD_LIBS_INIT})
    else ()
        message(FATAL_ERROR "Please install ALSA development libs and headers.")
    endif ()
endif ()

if (RTMIDI_DRIVER STREQUAL "COREMIDI")        
    add_definitions (-D__MACOSX_CORE__)
    link_libraries ("-framework CoreMidi -framework CoreAudio -framework CoreFoundation -framework Carbon")
endif ()

if (RTMIDI_DRIVER STREQUAL "IRIX")        
    find_package (Threads REQUIRED)
    add_definitions (-D__IRIX_MD__)
    link_libraries (audio ${CMAKE_THREAD_LIBS_INIT})
endif ()

if (RTMIDI_DRIVER STREQUAL "WINMM")        
    find_package (WINDRES REQUIRED)
    add_definitions (-D__WINDOWS_MM__)
    set (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -mwindows")
    link_libraries (winmm)
endif ()

if (RTMIDI_DRIVER STREQUAL "NET")
    add_definitions (-DNETWORK_MIDI)
endif()

add_subdirectory (src)
add_subdirectory (translations)
configure_file (vmpk.spec.in vmpk.spec IMMEDIATE @ONLY)

# uninstall custom target
configure_file (
    "${CMAKE_SOURCE_DIR}/cmake_admin/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

add_custom_target ( uninstall
    "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

set (vmpk_DATA_FILES
    data/azerty.xml
    data/vkeybd-default.xml
    data/it-qwerty.xml
    data/german.xml
    data/gmgsxg.ins
    data/spanish.xml
    data/pc102x11.xml
    data/pc102mac.xml
    data/pc102win.xml
    data/txt2ins.awk
    data/hm.html
    data/hm_es.html
    data/help.html
    data/help_de.html
    data/help_es.html
    data/help_fr.html
    data/help_nl.html
    data/help_ru.html 
)

if (UNIX)
    add_custom_target ( distclean
        COMMAND rm -rf build/*
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
    add_dependencies (distclean clean)

    add_custom_target (tarball
        COMMAND mkdir -p vmpk-${VERSION}/translations/
        COMMAND cp -r cmake_admin vmpk-${VERSION}
        COMMAND cp -r data vmpk-${VERSION}
        COMMAND cp -r src vmpk-${VERSION}
        COMMAND cp -r man vmpk-${VERSION}
        COMMAND cp -r dbus vmpk-${VERSION}
        COMMAND cp translations/vmpk_{cs,de,es,fr,nl,ru,sv,zh_CN}.ts vmpk-${VERSION}/translations/
        COMMAND cp translations/CMakeLists.txt vmpk-${VERSION}/translations/
        COMMAND cp AUTHORS ChangeLog CMakeLists.txt COPYING gpl.rtf NEWS README *.nsi TODO vmpk.desktop vmpk.pro updateqm.pri vmpk.spec.in qt.conf vmpk-${VERSION}
        COMMAND tar -cj --exclude=.* -f vmpk-${VERSION}.tar.bz2 vmpk-${VERSION}
        COMMAND tar -cz --exclude=.* -f vmpk-${VERSION}.tar.gz vmpk-${VERSION}
        COMMAND rm -rf vmpk-${VERSION}
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
    )
endif ()

if (UNIX AND NOT APPLE)

    add_subdirectory (man)

    install (FILES ${vmpk_DATA_FILES}
             DESTINATION share/vmpk )

    install (FILES data/vmpk_16x16.png 
             DESTINATION share/icons/hicolor/16x16/apps   
             RENAME vmpk.png)

    install (FILES data/vmpk_32x32.png 
             DESTINATION share/icons/hicolor/32x32/apps   
             RENAME vmpk.png)

    install (FILES data/vmpk_48x48.png 
             DESTINATION share/icons/hicolor/48x48/apps   
             RENAME vmpk.png)

    install (FILES data/vmpk_64x64.png 
             DESTINATION share/icons/hicolor/64x64/apps   
             RENAME vmpk.png)

    install (FILES data/vmpk_128x128.png 
             DESTINATION share/icons/hicolor/128x128/apps   
             RENAME vmpk.png)

    install (FILES data/vmpk.svgz
             DESTINATION share/icons/hicolor/scalable/apps )   

    install (FILES vmpk.desktop
             DESTINATION share/applications )

endif ()

if (WIN32)
    include (InstallRequiredSystemLibraries)
    set (QTLIBLIST QtCore QtGui QtXml QtSvg )
    get_filename_component (QT_DLL_PATH_tmp ${QT_QMAKE_EXECUTABLE} PATH)
    foreach (qtlib ${QTLIBLIST})
        install (FILES ${QT_DLL_PATH_tmp}/${qtlib}4.dll
                 DESTINATION .)
    endforeach (qtlib)
    if (MINGW)
        install (FILES ${QT_DLL_PATH_tmp}/mingwm10.dll 
                       ${QT_DLL_PATH_tmp}/libgcc_s_dw2-1.dll
                 DESTINATION .)
    endif ()
    install (FILES ${vmpk_DATA_FILES}
             DESTINATION .)
endif ()

if (APPLE)
    set (target "vmpk")
    configure_file ("${CMAKE_SOURCE_DIR}/cmake_admin/CompleteBundle.cmake.in"
      "${CMAKE_CURRENT_BINARY_DIR}/build/CompleteBundle.cmake" @ONLY IMMEDIATE)
    configure_file ("${CMAKE_SOURCE_DIR}/cmake_admin/CreateBundle.sh.in"
      "${CMAKE_CURRENT_BINARY_DIR}/build/CreateBundle.sh" @ONLY IMMEDIATE)
    install (SCRIPT "${CMAKE_CURRENT_BINARY_DIR}/build/CompleteBundle.cmake")
endif ()

# CPack support 
include (InstallRequiredSystemLibraries)
set (CPACK_PACKAGE_DESCRIPTION_SUMMARY "Virtual MIDI Piano Keyboard")
set (CPACK_PACKAGE_VENDOR "vmpk.sourceforge.net")
set (CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_SOURCE_DIR}/README")
set (CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/gpl.rtf")
set (CPACK_PACKAGE_VERSION_MAJOR ${VERSION_MAJOR})
set (CPACK_PACKAGE_VERSION_MINOR ${VERSION_MINOR})
set (CPACK_PACKAGE_VERSION_PATCH ${VERSION_PATCH})
set (CPACK_PACKAGE_INSTALL_DIRECTORY "vmpk")
set (CPACK_PACKAGE_EXECUTABLES "vmpk" "Virtual MIDI Piano Keyboard")

# source packages
set (CPACK_SOURCE_GENERATOR TGZ;TBZ2;ZIP)
set (CPACK_SOURCE_IGNORE_FILES "/.svn/;/build/;/share/;~$;.cproject;.project;.user;${CPACK_SOURCE_IGNORE_FILES}")
set (CPACK_SOURCE_PACKAGE_FILE_NAME "vmpk-${VERSION}") 
set (CPACK_SOURCE_STRIP_FILES OFF)

# linux binary packages
if (${CMAKE_SYSTEM} MATCHES "Linux")
    set (CPACK_GENERATOR TGZ;TBZ2)
    set (CPACK_PACKAGE_NAME "vmpk")
    math (EXPR PWORD_SIZE "${CMAKE_SIZEOF_VOID_P}*8")
    set (CPACK_SYSTEM_NAME ${CMAKE_SYSTEM_NAME}-x86_${PWORD_SIZE})
#   set (CPACK_INCLUDE_TOPLEVEL_DIRECTORY 0)
#   set (CPACK_PACKAGING_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX})
    set (CPACK_STRIP_FILES ON)
endif ()

# Windows NSIS setup package
#if (WIN32)
#    set (CPACK_PACKAGE_ICON "${CMAKE_SOURCE_DIR}/src/vmpk.ico")
#    set (CPACK_NSIS_INSTALLED_ICON_NAME "bin\\\\MyExecutable.exe")
#    set (CPACK_NSIS_DISPLAY_NAME "Virtual MIDI Piano Keyboard")
#    set (CPACK_NSIS_HELP_LINK "http://vmpk.sourceforge.net")
#    set (CPACK_NSIS_URL_INFO_ABOUT "http://vmpk.sourceforge.net")
#    set (CPACK_NSIS_CONTACT "plcl@users.sourceforge.net")
#    set (CPACK_NSIS_MODIFY_PATH OFF)
#endif ()

# Mac OSX bundle
#if (APPLE)
#endif ()

include (CPack)

=== man/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Virtual MIDI Piano Keyboard
-# Copyright (C) 2008-2010 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
+# Copyright (C) 2008-2011 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== man/Makefile ===
all: vmpk.1

vmpk.1: vmpk.xml
	# Verification
	xmllint --nonet --noout --postvalid --xinclude $^
	# Compilation
	xsltproc --output $@ --nonet --xinclude --xincludestyle \
	  http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl \
	  $^

=== src/CMakeLists.txt ===
# Virtual MIDI Piano Keyboard
# Copyright (C) 2008-2011 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along 
# with this program; If not, see <http://www.gnu.org/licenses/>.

include_directories (${CMAKE_CURRENT_BINARY_DIR})
link_directories (${CMAKE_CURRENT_BINARY_DIR})

if (NOT EXISTS ${CMAKE_CURRENT_BINARY_DIR}/vmpk_version.h)
    file (WRITE ${CMAKE_CURRENT_BINARY_DIR}/vmpk_version.h
          "const QString PGM_VERSION(\"${VERSION}\");\n")
endif (NOT EXISTS ${CMAKE_CURRENT_BINARY_DIR}/vmpk_version.h)

set (vmpk_forms_SRCS
    about.ui
    extracontrols.ui
    kmapdialog.ui
    midisetup.ui
    preferences.ui
    riffimportdlg.ui
    vpiano.ui
    shortcutdialog.ui)

QT4_WRAP_UI (vmpk_ui_SRCS ${vmpk_forms_SRCS})

set (vmpk_SRCS
    about.cpp
    about.h
    classicstyle.cpp
    classicstyle.h
    constants.h
    extracontrols.cpp
    extracontrols.h
    instrument.cpp
    instrument.h
    keyboardmap.cpp
    keyboardmap.h
    keylabel.cpp
    keylabel.h
    kmapdialog.cpp
    kmapdialog.h
    knob.cpp
    knob.h
    main.cpp
    mididefs.h
    midisetup.cpp
    midisetup.h
    pianodefs.h
    pianokeybd.cpp
    pianokeybd.h
    pianokey.cpp
    pianokey.h
    pianoscene.cpp
    pianoscene.h
    preferences.cpp
    preferences.h
    qticonloader.cpp
    qticonloader.h
    rawkeybdapp.cpp
    rawkeybdapp.h
    riff.cpp
    riff.h
    riffimportdlg.cpp
    riffimportdlg.h
    RtError.h
    RtMidi.cpp
    RtMidi.h
    udpmidi.cpp
    vpiano.cpp
    vpiano.h
    shortcutdialog.cpp
    shortcutdialog.h )

QT4_ADD_RESOURCES (vmpk_SRCS ../data/vmpk.qrc)

set (vmpk_qtobject_SRCS
    about.h
    extracontrols.h
    kmapdialog.h
    knob.h
    midisetup.h
    pianokeybd.h
    pianoscene.h
    preferences.h
    riff.h
    riffimportdlg.h
    vpiano.h
    shortcutdialog.h)

if (ENABLE_DBUS)
    QT4_ADD_DBUS_ADAPTOR (vmpk_SRCS 
                          net.sourceforge.vmpk.xml 
                          vpiano.h 
                          VPiano
                          vmpk_adaptor)
endif ()

QT4_WRAP_CPP (vmpk_moc_SRCS ${vmpk_qtobject_SRCS})

if (UNIX AND NOT APPLE)
    add_executable (vmpk
					${vmpk_ui_SRCS}
					${vmpk_moc_SRCS}
					${vmpk_SRCS})
    install (TARGETS vmpk
             RUNTIME DESTINATION bin)
endif ()

if (WIN32)
    set (vmpk_RESOURCES)
    configure_file (vmpk.rc.in ${CMAKE_CURRENT_BINARY_DIR}/vmpk.rc 
                    IMMEDIATE @ONLY)
    if (MINGW)
        ADD_WINDRES_OBJS (vmpk_RESOURCES ${CMAKE_CURRENT_BINARY_DIR}/vmpk.rc)
    endif ()
    if ( MSVC )
        set (vmpk_RESOURCES ${CMAKE_CURRENT_BINARY_DIR}/vmpk.rc)
    endif ()
    add_executable (vmpk WIN32
					${vmpk_ui_SRCS}
					${vmpk_moc_SRCS}
					${vmpk_SRCS} 
					${vmpk_RESOURCES})
    install (TARGETS vmpk
			 RUNTIME DESTINATION .)
endif ()

if (APPLE)
    set (MACOSX_BUNDLE_INFO_STRING "Virtual MIDI Piano Keyboard" )
    set (MACOSX_BUNDLE_BUNDLE_VERSION ${VERSION} )
    set (MACOSX_BUNDLE_ICON_FILE "vmpk.icns" )
    set (MACOSX_BUNDLE_GUI_IDENTIFIER "net.sourceforge" )
    set (MACOSX_BUNDLE_BUNDLE_NAME "vmpk" )
    set (vmpk_RSC ../data/vmpk.icns
             ../data/help.html
             ../data/help_de.html
             ../data/help_es.html
             ../data/help_nl.html
             ../data/help_ru.html
             ../data/help_tr.html
             ../data/txt2ins.awk
             ../data/gmgsxg.ins
             ../data/spanish.xml
             ../data/german.xml
             ../data/azerty.xml
             ../data/it-qwerty.xml
             ../data/vkeybd-default.xml
             ../data/pc102mac.xml )
    set_source_files_properties (${vmpk_RSC} PROPERTIES
                                 MACOSX_PACKAGE_LOCATION Resources)
    add_executable (vmpk MACOSX_BUNDLE
					${vmpk_ui_SRCS}
					${vmpk_moc_SRCS}
					${vmpk_SRCS}
					${vmpk_RSC})
endif ()

set_target_properties (vmpk PROPERTIES OUTPUT_NAME ${PROGRAM_NAME})

=== translations/CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,9 @@
      vmpk_de.ts 
      vmpk_es.ts 
      vmpk_fr.ts 
+     vmpk_nl.ts
      vmpk_ru.ts
+     vmpk_sv.ts
      vmpk_zh_CN.ts
 )

=== debian/changelog ===
vmpk (0.4.0-3build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:49:49 +0000

vmpk (0.4.0-3) unstable; urgency=low

  * Revert last change that selected JACK as the RtMIDI backend
    (Reopens: 629300) (Closes: #663487).
  * Bump Standards-Version to 3.9.3, no changes needed.
  * Correctly load saved preferences (Closes: #663513).
    - add 0002-Correctly-load-saved-preferences.patch

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 08 Jun 2012 14:41:21 +0200

vmpk (0.4.0-2) unstable; urgency=low

  * Add GenericNames entries to .desktop file (Closes: #640993).
    - add 0001-Add-GenericName-entries-to-.desktop-file.patch
  * Select JACK for the RtMIDI backend (Closes: #629300).
    - add libjack-dev in Build-Depends.

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 03 Jan 2012 23:25:35 +0100

vmpk (0.4.0-1) unstable; urgency=low

  * New upstream release.
    - remove 0001-Fix-to-build-with-ld-no-add-needed.patch
  * Bump Standards-Version to 3.9.2, no changes needed.
  * Fix copyright-refers-to-deprecated-bsd-license-file
  * Fix package-contains-empty-directory usr/share/locale/
  * Fix duplicate-changelog-files (changelog.gz vs. ChangeLog.gz)

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 03 Jan 2012 23:03:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: vmpk
 Section: sound
 Priority: extra
-Maintainer: Mehdi Dogguy <mehdi@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mehdi Dogguy <mehdi@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
  cmake,
  pkg-config,
@@ -11,7 +12,7 @@
  libasound2-dev,
  libx11-dev,
  libqt4-dev
-Standards-Version: 3.9.0
+Standards-Version: 3.9.3
 Homepage: http://vmpk.sourceforge.net/
 Vcs-Browser: http://git.debian.org/?p=collab-maint/vmpk.git
 Vcs-Git: git://git.debian.org/git/collab-maint/vmpk.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export LDFLAGS=-Wl,-z,defs

override_dh_auto_configure:
	cmake . -DCMAKE_INSTALL_PREFIX=/usr \
		-DCMAKE_C_FLAGS="$(CFLAGS)" \
		-DCMAKE_CXX_FLAGS="$(CXXFLAGS)" \
		-DCMAKE_SKIP_RPATH=ON \
		-DCMAKE_VERBOSE_MAKEFILE=ON

%:
	dh $@

=== debian/watch ===
version=3

http://sf.net/vmpk/vmpk-(.+)\.tar\.gz
